use thiserror::Error;

#[derive(Error, Debug, Copy, Clone)]
pub enum FoxError {
    #[error("object not found")]
    NotFound,
    #[error("date for signature out of range")]
    SignatureDateOutOfRange(&'static str),
    #[error("non-200 response to federation request")]
    ResponseNotOk,
    #[error("server is invalid")]
    InvalidServer,
}
